## org.apache.cassandra.config
Class EncryptionOptions

    java.lang.Object
      org.apache.cassandra.config.EncryptionOptions

    public class EncryptionOptions

extends java.lang.Object

Nested Class Summary
`static class` `EncryptionOptions.InternodeEncryption`

Field Summary
`java.lang.String` `algorithm`
`java.lang.String[]` `cipher_suites`
`EncryptionOptions.InternodeEncryption` `internode_encryption`
`java.lang.String` `keystore`
`java.lang.String` `keystore_password`
`java.lang.String` `protocol`
`java.lang.String` `store_type`
`java.lang.String` `truststore`
`java.lang.String` `truststore_password`

Constructor Summary
`EncryptionOptions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### internode_encryption

    public EncryptionOptions.InternodeEncryption internode_encryption

### keystore

    public java.lang.String keystore

### keystore_password

    public java.lang.String keystore_password

### truststore

    public java.lang.String truststore

### truststore_password

    public java.lang.String truststore_password

### cipher_suites

    public java.lang.String[] cipher_suites

### protocol

    public java.lang.String protocol

### algorithm

    public java.lang.String algorithm

### store_type

    public java.lang.String store_type

Constructor Detail

### EncryptionOptions

    public EncryptionOptions()

Copyright © 2012 The Apache Software Foundation